<div class="main-content pad">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>
					    <h4 class="card-title">
					        <span jhiTranslate="sisteminformasiakademikApp.jenisPembayaran.home.title">Jenis Pembayarans</span>
					
					        <button id="jh-create-entity" class="btn btn-success float-right jh-create-entity create-jenis-pembayaran" [routerLink]="['/jenis-pembayaran/new']">
					            <i class="material-icons">add</i>
					            <span  jhiTranslate="sisteminformasiakademikApp.jenisPembayaran.home.createLabel">
					            Create a new Jenis Pembayaran
					            </span>
					        </button>
					    </h4>
					    </div>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="jenisPembayarans?.length === 0">
        <span jhiTranslate="sisteminformasiakademikApp.jenisPembayaran.home.notFound">No jenisPembayarans found</span>
    </div>
	
    <div class="card-body">
    <div class="material-datatables table-responsive" id="entities" *ngIf="jenisPembayarans && jenisPembayarans.length > 0">
        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
            <thead class="thead-light">
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
                    <!-- <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span></th> -->
                    <th scope="col"  jhiSortBy="jenis"><span jhiTranslate="sisteminformasiakademikApp.jenisPembayaran.jenis">Jenis</span></th>
                    <th scope="col"  jhiSortBy="metode"><span jhiTranslate="sisteminformasiakademikApp.jenisPembayaran.metode">Metode</span></th>
                    <th scope="col">Keterangan</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
                <tr *ngFor="let jenisPembayaran of jenisPembayarans ;trackBy: trackId">
                    <!-- <td><a [routerLink]="['/jenis-pembayaran', jenisPembayaran.id, 'view']">{{ jenisPembayaran.id }}</a></td> -->
                    <td>{{ jenisPembayaran.jenis }}</td>
                    <td>{{ jenisPembayaran.metode }}</td>
                    <td>{{ jenisPembayaran.keterangan }}</td>
                    <!-- <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/jenis-pembayaran', jenisPembayaran.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/jenis-pembayaran', jenisPembayaran.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(jenisPembayaran)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td> -->
                
	                <td class="td-actions text-right">
	                    <!-- <button mat-raised-button mat-min-fab type="submit"
                                    [routerLink]="['/jenis-pembayaran', jenisPembayaran.id, 'view']"
	                                class="btn btn-info btn-sm btn-just-icon btn-round">
	                           <i class="material-icons">visibility</i>
						         </button> -->
	                        <button mat-raised-button mat-min-fab type="submit"
                                    [routerLink]="['/jenis-pembayaran', jenisPembayaran.id, 'edit']"
	                                queryParamsHandling="merge"
	                                 class="btn btn-success btn-sm btn-just-icon btn-round">
	                              <i class="material-icons">edit</i>
						       </button>
	                         <button mat-raised-button mat-min-fab type="button" (click)="delete(jenisPembayaran)"
	                               class="btn btn-danger btn-sm btn-just-icon btn-round">
	                   				<i class="material-icons">close</i>
							</button>
	                </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
</div>
</div>
</div>
</div>
</div>
